# Vektor mit den H-Werten
h = [ -525 -470 -420 -330 -220 -120    0 ]';

# Vektor mit den B-Werten
b = [    0 0.50 0.72 0.94 1.12 1.22 1.30 ]';

# Spline-Interpolation
global pp;
pp = interp1(h, b, 'spline', 'pp');

function [y] = Bfct(x)
  global pp;
  y = ppval(pp, x);
endfunction

# Problem 1: Suche nach B, wenn H=-250 Ampere pro Zentimeter
printf('B1 = %g\n', Bfct(-250));

