# Vektor mit den H-Werten
h = [ -525 -470 -420 -330 -220 -120    0 ]';

# Vektor mit den B-Werten
b = [    0 0.50 0.72 0.94 1.12 1.22 1.30 ]';

global pp;				# Ergebnis der Spline-Interpolation
pp = interp1(h, b, 'spline', 'pp');
# pp = csape(h, b, 'not-a-knot');
# pp = csape(h, b, 'variational');

# Berechnung von B
function [y] = B(x)
  global pp;
  y = ppval(pp, x);
endfunction

# Berechnung von B*H.
function [y] = BH(x)
  global pp;
  y = abs(x .* ppval(pp, x));
endfunction

graphics_toolkit("gnuplot");
fplot(@B, [-525, 0]);
