// Funktionsdefinition
// Parallelschaltung zweier Widerstaende
function [y] = para(a,b)
  y = 0.0;
  if (a > 0.0) then
    if (b > 0.0) then
      y = a * b / (a + b);
    end
  end
endfunction

// Gegebene Groessen
Uq = 10.0;
R1 = 4.7e3;
R2 = 10.0e3;
R3 = 47.0e3;

// Berechnung
Rges = R1 + para(R2, R3);
Iges = Uq / Rges;
I3 = Iges * R2 / (R2 + R3);

// Ausgabe
printf('I3 = %g\n', I3);
